%define _default_patch_fuzz        2

%define url http://prdownloads.sourceforge.net/e2fsprogs
%define	_root_sbindir	/sbin
%define	_root_libdir	/%_lib
%define libname %mklibname ext2fs 2
%define	devname	%mklibname ext2fs -d
%define devnameold %{mklibname ext2fs 2}-devel

%define git_url git://git.kernel.org/pub/scm/fs/ext2/e2fsprogs.git

Name: e2fsprogs
Version: 1.41.14
Release: %mkrel 2
Summary: Utilities used for ext2/ext3/ext4 filesystems
License: GPL
Group: System/Kernel and hardware
Source0: http://osdn.dl.sourceforge.net/e2fsprogs/e2fsprogs-%{version}.tar.gz
Source1: e3jsize
# (anssi) fix uninitialized variable causing crash without libreadline.so.5;
# submitted as https://sourceforge.net/tracker/?func=detail&aid=2822113&group_id=2406&atid=302406
Patch0: e2fsprogs-1.41.8-uninitialized.patch
# (gb) strip references to home build dir
Patch5: e2fsprogs-1.41.8-strip-me.patch

Url: http://e2fsprogs.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	texinfo, autoconf
BuildRequires:	libblkid-devel
BuildRequires:	libuuid-devel

%description
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in ext2, ext3,
and ext4 filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters), resize2fs to grow and shrink
unmounted filesystems, and most of the other core ext2fs filesystem
utilities.

%package -n %libname
Summary: The libraries for Ext2fs
Group: System/Libraries
Requires: e2fsprogs

%description -n %libname
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in ext2, ext3,
and ext4 filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters), resize2fs to grow and shrink
unmounted filesystems, and most of the other core ext2fs filesystem
utilities.

This package contains the shared libraries.

%package -n %{devname}
Summary: The libraries for Ext2fs
Group: Development/C
Requires:  %{libname} = %{version}-%{release}
Obsoletes: %{name}-devel < %{version}-%{release}
Obsoletes: %{devnameold}
Provides:  %{name}-devel = %{version}-%{release}
Provides:  libext2fs-devel = %{version}-%{release}
Provides:  libe2fsprogs-devel = %{version}-%{release}
Provides:  ext2fs-devel = %{version}-%{release}

%description -n %{devname}
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in ext2, ext3,
and ext4 filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters), resize2fs to grow and shrink
unmounted filesystems, and most of the other core ext2fs filesystem
utilities.

You should install %libname to use tools that compile with ext2fs
features.

%prep
%setup -q
%patch0 -p1 -b .uninit
%patch5 -p1 -b .strip-me

rm -f configure
autoconf

# Fix build:
chmod 644 po/*.po

%build
%configure2_5x --enable-elf-shlibs --disable-libblkid --disable-libuuid \
	--disable-fsck --disable-uuidd --enable-symlink-install
%make
make -C e2fsck e2fsck.static

%check
LC_ALL=C make check

%install
rm -rf $RPM_BUILD_ROOT
export PATH=/sbin:$PATH

%makeinstall_std install-libs \
	root_sbindir=%{_root_sbindir} root_libdir=%{_root_libdir}

for i in libcom_err.so.2 libe2p.so.2 libext2fs.so.2 libss.so.2; do
	ln -s $i $RPM_BUILD_ROOT/%_root_libdir/${i%.[0-9]}
done

rm -f	$RPM_BUILD_ROOT%_libdir/libss.a \
	$RPM_BUILD_ROOT/%{_root_libdir}/libcom_err.so \
	$RPM_BUILD_ROOT/%{_root_libdir}/libe2p.so \
	$RPM_BUILD_ROOT/%{_root_libdir}/libext2fs.so \
	$RPM_BUILD_ROOT/%{_root_libdir}/libss.so

# multiarch policy, alternative is to use <stdint.h>
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/ext2fs/ext2_types.h

%find_lang %{name}

chmod +x $RPM_BUILD_ROOT%_bindir/{mk_cmds,compile_et}

install -m 755 e2fsck/e2fsck.static $RPM_BUILD_ROOT%{_root_sbindir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_root_sbindir}
ln -f $RPM_BUILD_ROOT%{_root_sbindir}/mke2fs \
	$RPM_BUILD_ROOT%{_root_sbindir}/mke3fs

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{devname}
%_install_info libext2fs.info

%preun -n %{devname}
%_remove_install_info libext2fs.info


%files -f %name.lang
%defattr(-,root,root)
%doc README
%_root_sbindir/badblocks
%_root_sbindir/debugfs
%_root_sbindir/dumpe2fs
%_root_sbindir/e2fsck
%_root_sbindir/e2fsck.static
%_root_sbindir/e2image
%_root_sbindir/e2label
%_root_sbindir/e2undo
%_root_sbindir/e3jsize
%_root_sbindir/fsck.ext2
%_root_sbindir/fsck.ext3
%_root_sbindir/fsck.ext4
%_root_sbindir/fsck.ext4dev
%_root_sbindir/logsave
%_root_sbindir/mke2fs
%_root_sbindir/mke3fs
%_root_sbindir/mkfs.ext2
%_root_sbindir/mkfs.ext3
%_root_sbindir/mkfs.ext4
%_root_sbindir/mkfs.ext4dev
%_root_sbindir/resize2fs
%_root_sbindir/tune2fs
# FIXME: why isn't this marked %config(noreplace)?
%_sysconfdir/*.conf


%_bindir/chattr
%_bindir/lsattr
%_mandir/man1/chattr.1*
%_mandir/man1/lsattr.1*
%_mandir/man5/e2fsck.conf.5*
%_mandir/man5/mke2fs.conf.5*
%_mandir/man8/badblocks.8*
%_mandir/man8/debugfs.8*
%_mandir/man8/dumpe2fs.8*
%_mandir/man8/e2freefrag.8*
%_mandir/man8/e2fsck.8*
%_mandir/man8/e2image.8*
%_mandir/man8/e2label.8*
%_mandir/man8/e2undo.8.*
%_mandir/man8/filefrag.8*
%_mandir/man8/fsck.ext2.8*
%_mandir/man8/fsck.ext3.8*
%_mandir/man8/fsck.ext4.8.*
%_mandir/man8/fsck.ext4dev.8.*
%_mandir/man8/logsave.8*
%_mandir/man8/mke2fs.8*
%_mandir/man8/mkfs.ext2.8*
%_mandir/man8/mkfs.ext3.8*
%_mandir/man8/mkfs.ext4.8.*
%_mandir/man8/mkfs.ext4dev.8.*
%_mandir/man8/mklost+found.8*
%_mandir/man8/resize2fs.8*
%_mandir/man8/tune2fs.8*
%_sbindir/e2freefrag
%_sbindir/filefrag
%_sbindir/mklost+found

%files -n %libname
%defattr(-,root,root)
%doc README
%_root_libdir/libcom_err.so.*
%_root_libdir/libe2p.so.*
%_root_libdir/libext2fs.so.*
%_root_libdir/libss.so.*

%_libdir/e2initrd_helper

%files -n %{devname}
%defattr(-,root,root,755)
%doc RELEASE-NOTES
%_infodir/libext2fs.info*
%_bindir/compile_et
%_mandir/man1/compile_et.1*
%_bindir/mk_cmds
%_mandir/man1/mk_cmds.1*
%_libdir/pkgconfig/*

%_libdir/libcom_err.so
%_libdir/libe2p.a
%_libdir/libe2p.so
%_libdir/libext2fs.a
%_libdir/libext2fs.so
%_libdir/libcom_err.a
%_libdir/libss.so

%_datadir/et
%_datadir/ss
%_includedir/et
%_includedir/ext2fs
%multiarch %dir %multiarch_includedir/ext2fs
%multiarch %multiarch_includedir/ext2fs/ext2_types.h
%_includedir/ss
%_includedir/e2p/e2p.h
%_mandir/man3/com_err.3*





%changelog
* Tue Jan 11 2011 blino <blino> 1.41.14-2.mga1
+ Revision: 6149
- remove old ldconfig scriptlets

  + tmb <tmb>
    - imported package e2fsprogs


* Tue Jan  4 2011 Thomas Backlund <tmb@mageia.org> 1.41.14-2.mga1
- initial import
- switch from manbo_mkrel to mkrel

* Thu Dec 23 2010 Funda Wang <fwang@mandriva.org> 1.41.14-1mnb2
+ Revision: 624064
- new version 1.41.14
- new version 1.41.13
- use symbolic link rather than hardlink

* Fri Jun 11 2010 Thomas Backlund <tmb@mandriva.org> 1.41.12-1mnb2
+ Revision: 547931
- update to 1.41.12 (bugfix release)

* Tue Mar 16 2010 Funda Wang <fwang@mandriva.org> 1.41.11-1mnb2
+ Revision: 522506
- New version 1.41.11

* Sat Feb 27 2010 Thomas Backlund <tmb@mandriva.org> 1.41.10-2mnb2
+ Revision: 512296
- rebuild against new libblkid)

* Thu Feb 11 2010 Frederik Himpe <fhimpe@mandriva.org> 1.41.10-1mnb2
+ Revision: 504356
- Update to new version 1.41.10
- Does not ship with a default e2fsck.conf anymore

* Wed Oct 07 2009 Thierry Vignaud <tv@mandriva.org> 1.41.9-2mnb2
+ Revision: 455479
- move huge doc in devel package

* Sun Aug 23 2009 Frederik Himpe <fhimpe@mandriva.org> 1.41.9-1mnb2
+ Revision: 419892
- Update to new version 1.41.9

* Tue Aug 04 2009 Frederic Crozat <fcrozat@mandriva.com> 1.41.8-3mnb2
+ Revision: 408789
- Rebuild against libuuid
- disable libuuid-devel deps for bootstrapping

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Disable libuuid and fsck (now handled by util-linux-ng).

* Wed Jul 15 2009 Anssi Hannula <anssi@mandriva.org> 1.41.8-1mnb2
+ Revision: 396478
- fix crash without libreadline.so.5 (uninitialized.patch)
- rediff strip-me.patch
- update summaries and descriptions to mention ext3, ext4, resize2fs

  + Thierry Vignaud <tv@mandriva.org>
    - new release

  + Frederik Himpe <fhimpe@mandriva.org>
    - update to new version 1.41.7

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 1.41.6-3mnb2
+ Revision: 384246
- Rebuild against libblkid
- ensure tests pass on x86_64 too
- Enable parallel build
- Add git_url

* Mon Jun 08 2009 Frederic Crozat <fcrozat@mandriva.com> 1.41.6-2mnb2
+ Revision: 384074
- Do not build libblkid (shipped by util-linux-ng now)
- Remove patch36 (obsolete)
- Temporary buildrequires libext2fs-devel, to be able to install libblkid-devel

* Sat May 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.41.6-1mnb2
+ Revision: 381530
- update to new version 1.41.6

* Mon May 04 2009 Thierry Vignaud <tv@mandriva.org> 1.41.5-1mnb2
+ Revision: 371725
- new release

* Mon Feb 09 2009 Thierry Vignaud <tv@mandriva.org> 1.41.4-1mnb2
+ Revision: 338875
- new release
- drop patches 10, 67, 68 & 69 (merged upstream)
- add more upstrem commited annotations

* Wed Jan 21 2009 Thierry Vignaud <tv@mandriva.org> 1.41.3-3mnb2
+ Revision: 332252
- drop patch 9 (istat support), now useless with new e3jsize
- drop patch8 and package e2fsck.conf so that fsck doesn't force fsck on first
  reboot tue to timezone issues
- update patches 10, 68 & 69 according to Theodore Tso's comments
  (add commited upstreama annotations)
- e3jsize: use standard 'stat' command instead of turbolinux 'istat' extension
- drop patch 4: old useless auconf bit from redhat (november 2001!)
- drop patch 66: now useless (and was dropped by fedora too)

* Tue Jan 20 2009 Thierry Vignaud <tv@mandriva.org> 1.41.3-2mnb2
+ Revision: 331878
- temporary enable fuzzy patches
- drop most redhat patches introduced in r63796 on 2007-08-15 since:
  o they were removed from redhat
  o patch 30 ("enable tune2fs to set and clear the resize inode (#167816)")
  	allows tune2fs to set the resize_inode feature without actually creating
  	the resize inode --- this leads to a corrupted filesystem, which is
  	generally not considered a good thing
- drop patch 7: no more needed
- patch 69: fix build with Werror_format=security

* Thu Oct 16 2008 Thierry Vignaud <tv@mandriva.org> 1.41.3-1mnb2
+ Revision: 294293
- new release

* Thu Oct 02 2008 Thierry Vignaud <tv@mandriva.org> 1.41.2-1mnb2
+ Revision: 290859
- new release

* Tue Sep 09 2008 Pixel <pixel@mandriva.com> 1.41.1-2mnb2
+ Revision: 283112
- handle mkfs.ext3 -U <UUID>

* Tue Sep 02 2008 Thierry Vignaud <tv@mandriva.org> 1.41.1-1mnb2
+ Revision: 278895
- rediff patch 66
- rediff patch 36
- remove patch 10 (merged upstream)
- new release

* Mon Aug 25 2008 Olivier Blin <oblin@mandriva.com> 1.41.0-2mnb2
+ Revision: 275686
- fix probing logic in blkid to find renamed devices (#43146)

* Tue Jul 22 2008 Thierry Vignaud <tv@mandriva.org> 1.41.0-1mnb2
+ Revision: 240354
- new release
- kill merged patch #10
- rediff patch 39
- sort file list

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 22 2008 Makoto Dei <makoto@turbolinux.co.jp> 1.40.8-2mnb1
+ Revision: 196411
- fix the bug that fsck didn't accept the 'j' with German locale (#39803)

* Mon Mar 17 2008 Thierry Vignaud <tv@mandriva.org> 1.40.8-1mnb1
+ Revision: 188431
- new release (fix resizing)
- rediff patch 62
- new release

* Wed Feb 27 2008 Makoto Dei <makoto@turbolinux.co.jp> 1.40.6-3mnb1
+ Revision: 175693
- fix the bug that mke3fs doesn't create journal

* Sun Feb 24 2008 Andrey Borzenkov <arvidjaar@mandriva.org> 1.40.6-2mnb1
+ Revision: 174456
- patch67: add support for user level suspend in libblkid

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.40.6-1mnb1
+ Revision: 171225
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 1.40.6-1mdv2008.1
+ Revision: 166818
- new release

* Fri Feb 08 2008 Makoto Dei <makoto@turbolinux.co.jp> 1.40.5-3mdv2008.1
+ Revision: 164069
- Manbo-Lab
- added static link version of e2fsck (/sbin/e2fsck.static)
- added /sbin/mke3fs which is a link to /sbin/mke2fs
- added istat command to debugfs to show inode information
- added /sbin/e3jsize which is a shell script to show journal size of ext3 fs

* Wed Feb 06 2008 Olivier Blin <oblin@mandriva.com> 1.40.5-2mdv2008.1
+ Revision: 163016
- create /etc/blkid, so that blkid can create blkid.tab

* Mon Jan 28 2008 Thierry Vignaud <tv@mandriva.org> 1.40.5-1mdv2008.1
+ Revision: 159273
- kill merged patches 9, 34 & 63
- new release
- new release

* Fri Jan 11 2008 Pixel <pixel@mandriva.com> 1.40.4-4mdv2008.1
+ Revision: 147904
- ensure vol_id and blkid returns the same UUID on ntfs (#36144)

* Tue Jan 08 2008 Thierry Vignaud <tv@mandriva.org> 1.40.4-3mdv2008.1
+ Revision: 146448
- revert bogus "version Requires/Obsoletes/Providesr" change (part of r82504 from
  walluck on 2007-09-08) that break updating some biarch systems
- remove testsuite hack

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jan 02 2008 Thierry Vignaud <tv@mandriva.org> 1.40.4-2mdv2008.1
+ Revision: 140477
- new release
- kill re-definition of %%buildroot on Pixel's request

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - protect ->open ops from glibc open-create-mode-checker (P66 from fedora)

* Tue Dec 11 2007 Thierry Vignaud <tv@mandriva.org> 1.40.3-1mdv2008.1
+ Revision: 117365
- set PATH so that make lib/ss test pass
- rediff patch 62
- kill patch 64 (merged upstream)
- revert r115880 (2007-12-06) from peroyvind ("sync with fedora patches")
  since there're no such patches
- new release

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - can now be safely built with optimizations, do so
    - sync with fedora patches

* Sun Sep 16 2007 Funda Wang <fwang@mandriva.org> 1.40.2-5mdv2008.0
+ Revision: 87931
- really obsoletes old devel package

* Sat Sep 08 2007 David Walluck <walluck@mandriva.org> 1.40.2-4mdv2008.0
+ Revision: 82504
- version Requires/Obsoletes/Provides
- Provides: ext2fs-devel = %%{version}-%%{release}
- release 3 claimed to implement the new devel policy but didn't, so implement it

* Wed Aug 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.40.2-3mdv2008.0
+ Revision: 63835
- sync with fedora patches
- new devel policy
- fix uninstall of info pages at correct stage

* Tue Aug 07 2007 David Walluck <walluck@mandriva.org> 1.40.2-2mdv2008.0
+ Revision: 59593
- move %%_mandir/man3/libblkid.3* to devel package to fix multiarch conflict

* Thu Aug 02 2007 Thierry Vignaud <tv@mandriva.org> 1.40.2-1mdv2008.0
+ Revision: 58198
- new release

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 1.40-3mdv2008.0
+ Revision: 57902
- fix last check problem index (it used the same index as the dirhash hint,
  thus causing havoc in e2fsck, and secondarily breaking tests and rpm build)
- rebuild for new kernel headers (__u64 and __s64 types have changed)
- make files list extension-agnostic for man pages (fix build with lzma man pages)

  + David Walluck <walluck@mandriva.org>
    - 1.40
    - remove fix-memleak patch (fixed upstream)

* Thu Jun 14 2007 Thierry Vignaud <tv@mandriva.org> 1.39-5mdv2008.0
+ Revision: 39781
- patch 9: fix mem leak in libblkid (#31295)
- patch 9: fix mem leak in libblkid (#31295)

* Sun Jan 07 2007 David Walluck <walluck@mandriva.org> 1.39-4mdv2007.0
+ Revision: 104996
- bump release
- remove redundant autoconf call
  force %%check to pass on x86_64 for now (2 test failures)
- rebuild
  bunzip2 patches
  add %%check section

  + Emmanuel Andry <eandry@mandriva.org>
    - Import e2fsprogs

* Wed Aug 23 2006 Pixel <pixel@mandriva.com> 1.39-2mdv2007.0
- DrakX doesn't set the timezone/utc before formatting partition, 
  resulting in check time in the future, and so a forced fsck
  at first boot. fixing this.

* Fri Jun 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.39-1mdv2007.0
- new release
- drop patch 6 (no more needed)

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 1.38-5mdk
- rebuild for sparc

* Thu Oct 20 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.38-4mdk
- fortify fixes

* Sat Sep 10 2005 Olivier Blin <oblin@mandriva.com> 1.38-3mdk
- fix typo in summaries

* Tue Sep 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.38-2mdk
- fix running tests

* Fri Aug 05 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.38-1mdk
- new release
- drop patch 6 (merged upstream)
- rediff patch 7

* Mon Aug 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.37-5mdk
- patch 7: fix compilation of libs/e2p/os_type

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.37-4mdk
- Use a better BuildRequires as explain by Blino

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.37-3mdk
- Fix BuildRequires

* Thu Jul 28 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.37-2mdk
- patch 6: fix segfault in e2fsck

* Sat May 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.37-1mdk
- new release

* Sun Mar 06 2005 Stefan van der Eijk <stefan@eijk.nu> 1.36-3mdk
- reupload

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.36-2mdk
- don't reference home build dirs in compile_et and mk_cmds (multiarch)
- other multiarch fixes, though it could be fixed differently with <stdint.h>

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.36-1mdk
- new release
- rediff patch 4

* Thu Apr 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.35-1mdk
- new release
- remove patch 6 (no more needed)

* Thu Feb 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.34-5mdk
- patch 6: fix build
- rpmlint fix

* Mon Jan 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.34-4mdk
- fix perms
